PulseEffects won't launch

I can’t open PulseEffects.

Terminal says:

(pulseeffects:6186): Gtk-WARNING **: 20:27:39.829: Theme parsing error: gtk.css:7853:22: Expected '(' after 'url'

(pulseeffects:6186): Gtk-WARNING **: 20:27:39.829: Theme parsing error: gtk.css:7853:147: Invalid character in string. Must be escaped.

(pulseeffects:6186): Gtk-WARNING **: 20:27:39.832: Theme parsing error: gtk.css:11635:3: '/*' in comment block

(pulseeffects:6186): Gtk-WARNING **: 20:27:39.832: Theme parsing error: gtk.css:11741:2: '/*' in comment block

(pulseeffects:6186): Gtk-WARNING **: 20:27:39.832: Theme parsing error: gtk.css:11786:26: 'text-shadow' is not a valid color name

(pulseeffects:6186): Gtk-WARNING **: 20:27:39.832: Theme parsing error: gtk.css:12046:14: 'ffffff' is not a valid color name

(pulseeffects:6186): pulseeffects-WARNING **: 20:27:39.851: pipe_manager: Remote error on id:26

(pulseeffects:6186): pulseeffects-WARNING **: 20:27:39.851: pipe_manager: Remote error message:enum params id:2 (Spa:Enum:ParamId:Props) failed

(pulseeffects:6186): pulseeffects-WARNING **: 20:27:39.851: pipe_manager: Remote error on id:27

(pulseeffects:6186): pulseeffects-WARNING **: 20:27:39.851: pipe_manager: Remote error message:enum params id:2 (Spa:Enum:ParamId:Props) failed

** (pulseeffects:6186): ERROR **: 20:27:39.859: 
unhandled exception (type std::exception) in signal handler:
what: soe: Failed to get required plugin: pipewiresrc

1 Like

Which versions of Fedora, pipewire and pulseeffects do you have installed?

Do you have modified the gtk.css file? If yes, please remove it and try again.
If no, do you have any Gtk themes installed? If yes, please switch to the default theme (Adwaita) and try again.

1 Like

Pulseeffects does not work with pipewire now. The best you can do, is to contact the developer and to talk with him about your issue. He is the only one who can help you.

I did some digging, and this does not appear to be the case now. In fact, the upstream project even says: “Audio effects for PipeWire applications.”. A quick search for the error took me to this issue:

The fix is in the last comment:

rm -rf ~/.cache/gstreamer-1.0

I was getting the same error and this fixed it for me. Could you try it and see what you get?

3 Likes

Odd, cause I’ve tried that yesterday, but now it worked! Thank you for the help.

1 Like